﻿@import url('https://fonts.googleapis.com/css?family=Lato:100,100i,300,300i,400,400i,700,700i,900,900i|Playfair+Display:400,400i,700,700i,900,900i');

.base {
    padding: 0 !important;
    position: relative;
    font-size: 13pt;
    font-family: 'Lato', sans-serif;    
    width: 100%;
}

.legend {
    font-size: 16pt;
    font-family: 'Lato', sans-serif;
}

.tooltip-container {
    position: relative;
    display: inline-block;
}

.tooltip-text {
    visibility: hidden;
    width: 200px;
    background-color: #2e4ea1;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    top: 50%; /* Posiciona el tooltip bajo del elemento */
    left: 150%;
    transform: translateX(-50%);
    transform: translateY(-50%);
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip-container:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}


.layout_header {
    background-color: #2e4ea1;
    overflow: hidden;
    width: 100%;
    font-size: 20px;
    font-weight: bold;
    color: white;
}

.layout_item {
    margin: 20px;
    height: 40px;
    padding-left: 20px;
    padding-right: 20px;
   
}

.contenedor {
    min-height: 300px;
    padding: 1rem !important;    
}


#loading {
    position: absolute;
    width: 100% !important;
    height: 98% !important;
    background: white;
    opacity: 0.5;
    filter: alpha(opacity=50);
}

.content {
    display:none;
}

.div_field {
    width:100%;
}
.div_field_autorizacion {
    width: 85%;
}


@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

button {
    cursor: pointer;
}

.button, button {
    width: 100%;
    height: 40px;
    border: 1px solid #303f9f;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    font-size: 14px;
    font-family: Lato, arial, serif;
    padding: 5px 15px 5px 15px;
    text-decoration: none;
    display: inline-block;
    font-weight: bold;
    color: white;
    background-color: #303f9f;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#303f9f), to(#303f9f));
    background-image: -webkit-linear-gradient(top, #303f9f, #960042);
    background-image: -moz-linear-gradient(top, #303f9f, #960042);
    background-image: -ms-linear-gradient(top, #303f9f, #960042);
    background-image: -o-linear-gradient(top, #303f9f, #960042);
    background-image: linear-gradient(to bottom, #303f9f, #303f9f);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#303f9f, endColorstr=#303f9f);
}

    .button:hover, button:hover {
        border: 1px solid #fdc102;
        background-color: #fdc102;
        background-image: -webkit-gradient(linear, left top, left bottom, from(#fdc102), to(#fdc102));
        background-image: -webkit-linear-gradient(top, #fdc102, #63002C);
        background-image: -moz-linear-gradient(top, #fdc102, #63002C);
        background-image: -ms-linear-gradient(top, #fdc102, #63002C);
        background-image: -o-linear-gradient(top, #fdc102, #63002C);
        background-image: linear-gradient(to bottom, #fdc102, #fdc102);
        filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#fdc102, endColorstr=#fdc102);
    }

.button_disabled {
    width:100%;
    height:40px;
    border: 1px solid #E8E8E8;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    font-size: 14px;
    font-family: arial, helvetica, sans-serif;
    padding: 5px 15px 5px 15px;
    text-decoration: none;
    display: inline-block;
    
    font-weight: bold;
    color: #A5A3A4;
    background-color: #CDCCCC;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#E8E8E8), to(#CDCCCC));
    background-image: -webkit-linear-gradient(top, #E8E8E8, #CDCCCC);
    background-image: -moz-linear-gradient(top, #E8E8E8, #CDCCCC);
    background-image: -ms-linear-gradient(top, #E8E8E8, #CDCCCC);
    background-image: -o-linear-gradient(top, #E8E8E8, #CDCCCC);
    background-image: linear-gradient(to bottom, #E8E8E8, #CDCCCC);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr=#E8E8E8, endColorstr=#CDCCCC);
}
